﻿@model DataBaseFinalProject.ViewModels.CreateIncomeTransactionViewModel

@{
    ViewBag.Title = "Creating Income";
    Layout = "_Layout";
}

<h2 class="my-4">@ViewBag.Title</h2>

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6">
            @using (Html.BeginForm("Create", "IncomeTransaction", FormMethod.Post))
            {
                <div class="form-group mb-3">
                    <label for="ClientId" class="form-label">Choose User:</label>
                    <select id="ClientId" name="IncomeTransaction.UserId" class="form-select">
                        <option value="">Choose user</option>
                        @foreach (var user in Model.Users)
                        {
                            <option value="@user.Id">@user.Nickname</option>
                        }
                    </select>
                </div>

                <div class="form-group mb-3">
                    <label for="CategoryId" class="form-label">Choose Category:</label>
                    <select id="CategoryId" name="IncomeTransaction.CategoryId" class="form-select">
                        <option value="">Choose category</option>
                        @foreach (var incomeCategory in Model.IncomeCategories)
                        {
                            <option value="@incomeCategory.Id">@incomeCategory.Name</option>
                        }
                    </select>
                </div>

                <div class="form-group mb-3">
                    <label asp-for="IncomeTransaction.Amount" class="form-label">Amount:</label>
                    <input asp-for="IncomeTransaction.Amount" class="form-control" placeholder="Enter amount"/>
                    <span asp-validation-for="IncomeTransaction.Amount" class="text-danger"></span>
                </div>

                <div class="form-group mb-3">
                    <label asp-for="IncomeTransaction.Description" class="form-label">Description:</label>
                    <input asp-for="IncomeTransaction.Description" class="form-control" placeholder="Enter description"/>
                    <span asp-validation-for="IncomeTransaction.Description" class="text-danger"></span>
                </div>

                <div class="form-group mb-3">
                    <label asp-for="IncomeTransaction.CreatedAt" class="form-label">Created At:</label>
                    <input asp-for="IncomeTransaction.CreatedAt" class="form-control" placeholder="Enter creation date"/>
                    <span asp-validation-for="IncomeTransaction.CreatedAt" class="text-danger"></span>
                </div>

                <button type="submit" class="btn btn-primary w-100">Create Income</button>
            }
        </div>
    </div>
</div>

@section Scripts {
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
}